org.apache.cassandra.schema

## Enum KeyspaceParams.Option

- java.lang.Object
- - java.lang.Enum<KeyspaceParams.Option>
  - - org.apache.cassandra.schema.KeyspaceParams.Option

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<KeyspaceParams.Option>

Enclosing class:
  KeyspaceParams

    public static enum KeyspaceParams.Option
    extends java.lang.Enum<KeyspaceParams.Option>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DURABLE_WRITES`
`REPLICATION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`
`static KeyspaceParams.Option` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KeyspaceParams.Option[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DURABLE_WRITES

    public static final KeyspaceParams.Option DURABLE_WRITES

#### REPLICATION

    public static final KeyspaceParams.Option REPLICATION

### Method Detail

#### values

    public static KeyspaceParams.Option[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (KeyspaceParams.Option c : KeyspaceParams.Option.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static KeyspaceParams.Option valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<KeyspaceParams.Option>`